Bug 323449 - Marble crashes when clicking 'Configure Marble Virtual Globe'
Summary: Marble crashes when clicking 'Configure Marble Virtual Globe'
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Bernhard Beschow
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-08-13 10:05 UTC by Markus
Modified: 2013-08-14 10:59 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus 2013-08-13 10:05:38 UTC
Application: marble (1.6.20 (development snapshot))
KDE Platform Version: 4.11.60
Qt Version: 4.8.6
Operating System: Linux 3.8.0-27-generic i686
Distribution: Ubuntu 13.04

-- Information about the crash:
From a fresh Project Neon install on Kubuntu 13.04 I started Marble and directly wanted to open the configuration dialog. Every time (repeatedly) Marble crashes in the moment I click on the option in the dropdown menu.

The crash can be reproduced every time.

-- Backtrace:
Application: Marble Virtual Globe (marble), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb197d740 (LWP 10679))]

Thread 5 (Thread 0xb0661b40 (LWP 10680)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb52178e2 in clock_gettime () from /lib/i386-linux-gnu/libc.so.6
#2  0xb637c08b in do_gettime (sec=0xb0660f90, frac=0xb0660f98) at tools/qelapsedtimer_unix.cpp:127
#3  0xb637c10a in qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0xb6474ceb in QTimerInfoList::updateCurrentTime (this=0xafd02074) at kernel/qeventdispatcher_unix.cpp:354
#5  0xb647505d in QTimerInfoList::timerWait (this=0xafd02074, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0xb6471ea6 in timerSourcePrepareHelper (src=0xafd02040, timeout=0xb06610cc) at kernel/qeventdispatcher_glib.cpp:136
#7  0xb6472037 in timerSourcePrepare (source=0xafd02040, timeout=0xb06610cc) at kernel/qeventdispatcher_glib.cpp:169
#8  0xb2a80d21 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb2a815cf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb2a81831 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#11 0xb6472a3c in QEventDispatcherGlib::processEvents (this=0xafd00468, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#12 0xb6437ff1 in QEventLoop::processEvents (this=0xb0661248, flags=...) at kernel/qeventloop.cpp:149
#13 0xb6438169 in QEventLoop::exec (this=0xb0661248, flags=...) at kernel/qeventloop.cpp:204
#14 0xb63112ef in QThread::exec (this=0x90be8d0) at thread/qthread.cpp:537
#15 0xb6415866 in QInotifyFileSystemWatcherEngine::run (this=0x90be8d0) at io/qfilesystemwatcher_inotify.cpp:256
#16 0xb6313c17 in QThreadPrivate::start (arg=0x90be8d0) at thread/qthread_unix.cpp:349
#17 0xb4edbd78 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#18 0xb52043de in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0xafb9db40 (LWP 10681)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb52178e2 in clock_gettime () from /lib/i386-linux-gnu/libc.so.6
#2  0xb637c08b in do_gettime (sec=0xafb9cf90, frac=0xafb9cf98) at tools/qelapsedtimer_unix.cpp:127
#3  0xb637c10a in qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0xb6474ceb in QTimerInfoList::updateCurrentTime (this=0xaf102074) at kernel/qeventdispatcher_unix.cpp:354
#5  0xb647505d in QTimerInfoList::timerWait (this=0xaf102074, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0xb6471ea6 in timerSourcePrepareHelper (src=0xaf102040, timeout=0xafb9d0cc) at kernel/qeventdispatcher_glib.cpp:136
#7  0xb6472037 in timerSourcePrepare (source=0xaf102040, timeout=0xafb9d0cc) at kernel/qeventdispatcher_glib.cpp:169
#8  0xb2a80d21 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb2a815cf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb2a81831 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#11 0xb6472a3c in QEventDispatcherGlib::processEvents (this=0xaf100468, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#12 0xb6437ff1 in QEventLoop::processEvents (this=0xafb9d248, flags=...) at kernel/qeventloop.cpp:149
#13 0xb6438169 in QEventLoop::exec (this=0xafb9d248, flags=...) at kernel/qeventloop.cpp:204
#14 0xb63112ef in QThread::exec (this=0x9126818) at thread/qthread.cpp:537
#15 0xb6415866 in QInotifyFileSystemWatcherEngine::run (this=0x9126818) at io/qfilesystemwatcher_inotify.cpp:256
#16 0xb6313c17 in QThreadPrivate::start (arg=0x9126818) at thread/qthread_unix.cpp:349
#17 0xb4edbd78 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#18 0xb52043de in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0xaeae8b40 (LWP 10682)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb4edf84b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0xb5211d7c in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0xb42326d0 in WTF::TCMalloc_PageHeap::scavengerThread() () from /opt/project-neon/lib/libQtWebKit.so.4
#4  0xb4231da9 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /opt/project-neon/lib/libQtWebKit.so.4
#5  0xb4edbd78 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#6  0xb52043de in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xae1bfb40 (LWP 10683)):
#0  0xb7732424 in __kernel_vsyscall ()
#1  0xb51f4dcb in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0xb2a902db in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2a816d0 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2a81831 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb6472a3c in QEventDispatcherGlib::processEvents (this=0xad800468, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0xb6437ff1 in QEventLoop::processEvents (this=0xae1bf278, flags=...) at kernel/qeventloop.cpp:149
#7  0xb6438169 in QEventLoop::exec (this=0xae1bf278, flags=...) at kernel/qeventloop.cpp:204
#8  0xb63112ef in QThread::exec (this=0x941e2a0) at thread/qthread.cpp:537
#9  0xb631147b in QThread::run (this=0x941e2a0) at thread/qthread.cpp:604
#10 0xb6313c17 in QThreadPrivate::start (arg=0x941e2a0) at thread/qthread_unix.cpp:349
#11 0xb4edbd78 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0xb52043de in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb197d740 (LWP 10679)):
[KCrash Handler]
#7  0xb645424e in QObject::connect (sender=sender@entry=0x1, signal=0x808a9b8 "2clearVolatileCache()", receiver=receiver@entry=0x909cde8, method=0x808a94c "1clearVolatileTileCache()", type=type@entry=Qt::AutoConnection) at kernel/qobject.cpp:2554
#8  0x0806c92e in Marble::MarblePart::editSettings (this=0x90b76b0) at /build/buildd/project-neon-marble-2+git20130810+r8297/src/marble_part.cpp:1379
#9  0xb6456c4c in QMetaObject::activate (sender=0x944f680, m=0xb626c528 <QAction::staticMetaObject>, local_signal_index=1, argv=0xbfac7b88) at kernel/qobject.cpp:3547
#10 0xb57172e2 in QAction::triggered (this=0x944f680, _t1=false) at .moc/debug-shared/moc_qaction.cpp:276
#11 0xb5716721 in QAction::activate (this=0x944f680, event=QAction::Trigger) at kernel/qaction.cpp:1257
#12 0xb5c7193f in QMenuPrivate::activateCausedStack (this=0x95c32e8, causedStack=..., action=0x944f680, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1038
#13 0xb5c71d78 in QMenuPrivate::activateAction (this=0x95c32e8, action=0x944f680, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1130
#14 0xb5c7645e in QMenu::mouseReleaseEvent (this=0x9184bf0, e=0xbfac83e0) at widgets/qmenu.cpp:2372
#15 0xb6bd90d8 in KMenu::mouseReleaseEvent (this=0x9184bf0, e=0xbfac83e0) at /build/buildd/project-neon-kdelibs-2+git20130812+r92266~7ed5581/kdeui/widgets/kmenu.cpp:464
#16 0xb5786062 in QWidget::event (this=0x9184bf0, event=0xbfac83e0) at kernel/qwidget.cpp:8376
#17 0xb5c76aa6 in QMenu::event (this=0x9184bf0, e=0xbfac83e0) at widgets/qmenu.cpp:2481
#18 0xb5725f00 in QApplicationPrivate::notify_helper (this=0x8fdc3a0, receiver=0x9184bf0, e=0xbfac83e0) at kernel/qapplication.cpp:4562
#19 0xb5723e99 in QApplication::notify (this=0xbfac8b34, receiver=0x9184bf0, e=0xbfac83e0) at kernel/qapplication.cpp:4105
#20 0xb6af4346 in KApplication::notify (this=0xbfac8b34, receiver=0x9184bf0, event=0xbfac83e0) at /build/buildd/project-neon-kdelibs-2+git20130812+r92266~7ed5581/kdeui/kernel/kapplication.cpp:311
#21 0xb643a9dc in QCoreApplication::notifyInternal (this=0xbfac8b34, receiver=0x9184bf0, event=0xbfac83e0) at kernel/qcoreapplication.cpp:949
#22 0xb5728931 in QCoreApplication::sendSpontaneousEvent (receiver=0x9184bf0, event=0xbfac83e0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#23 0xb5722599 in QApplicationPrivate::sendMouseEvent (receiver=0x9184bf0, event=0xbfac83e0, alienWidget=0x0, nativeWidget=0x9184bf0, buttonDown=0xb6292500 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3171
#24 0xb57be153 in QETWidget::translateMouseEvent (this=0x9184bf0, event=0xbfac87bc) at kernel/qapplication_x11.cpp:4453
#25 0xb57bac36 in QApplication::x11ProcessEvent (this=0xbfac8b34, event=0xbfac87bc) at kernel/qapplication_x11.cpp:3520
#26 0xb57f3bad in x11EventSourceDispatch (s=0x8fdefd8, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#27 0xb2a813b3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#28 0xb2a81750 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#29 0xb2a81831 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#30 0xb6472a1c in QEventDispatcherGlib::processEvents (this=0x8fc3950, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#31 0xb57f3f1c in QGuiEventDispatcherGlib::processEvents (this=0x8fc3950, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#32 0xb6437ff1 in QEventLoop::processEvents (this=0xbfac8a28, flags=...) at kernel/qeventloop.cpp:149
#33 0xb6438169 in QEventLoop::exec (this=0xbfac8a28, flags=...) at kernel/qeventloop.cpp:204
#34 0xb643b072 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#35 0xb57231fa in QApplication::exec () at kernel/qapplication.cpp:3823
#36 0x0805dfdb in main (argc=1, argv=0xbfac8c04) at /build/buildd/project-neon-marble-2+git20130810+r8297/src/kdemain.cpp:403

Reported using DrKonqi
Comment 1 Dennis Nienhüser 2013-08-14 07:18:03 UTC
Will be fixed shortly. As a workaround you can use marble-qt (assuming project neon installs it as well).
Comment 2 Bernhard Beschow 2013-08-14 10:59:05 UTC
Git commit 2c6c6a401582347180f16fb356176f43f398011c by Bernhard Beschow.
Committed on 14/08/2013 at 10:55.
Pushed by beschow into branch 'master'.

correctly set up the UI for cache settings

M  +3    -2    src/marble_part.cpp

http://commits.kde.org/marble/2c6c6a401582347180f16fb356176f43f398011c